Bug 22851 - Navigation links in the serials module should be styled the same as other modules
Summary: Navigation links in the serials module should be styled the same as other mod...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-04 22:01 UTC by Katrin Fischer
Modified: 2019-07-18 23:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 22851: Style navigation links in serials modules like same links in other modules (4.18 KB, patch)
2019-06-10 16:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22851: Style navigation links in serials modules like same links in other modules (4.24 KB, patch)
2019-06-11 07:10 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 22851: Style navigation links in serials modules like same links in other modules (4.30 KB, patch)
2019-06-17 20:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-05-04 22:01:25 UTC
Compare the links on the left between serials and acquisitions module. In aquisitions they are nicely styled, in serials they lack styling and are displayed as a simple button list.
Comment 1 Owen Leonard 2019-06-10 16:54:07 UTC
Created attachment 90461 [details] [review]
Bug 22851: Style navigation links in serials modules like same links in other modules

This patch makes minor markup changes to the serials sidebar menu
include so that links are displayed in a style consistent with similar
menus in other areas of the staff client.

This patch contains whitespace changes, so please use the "-w" flag when
viewing the diff.

To test, apply the patch and go to the Serials module. The links in the
sidebar menu should be displayed in the same style as the corresponding
menu on the Acquisitions home page.
Comment 2 Katrin Fischer 2019-06-10 17:40:40 UTC
Thx Owen!
Comment 3 Claire Gravely 2019-06-11 07:10:10 UTC
Created attachment 90476 [details] [review]
Bug 22851: Style navigation links in serials modules like same links in other modules

This patch makes minor markup changes to the serials sidebar menu
include so that links are displayed in a style consistent with similar
menus in other areas of the staff client.

This patch contains whitespace changes, so please use the "-w" flag when
viewing the diff.

To test, apply the patch and go to the Serials module. The links in the
sidebar menu should be displayed in the same style as the corresponding
menu on the Acquisitions home page.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 4 Katrin Fischer 2019-06-17 20:41:31 UTC
Created attachment 90699 [details] [review]
Bug 22851: Style navigation links in serials modules like same links in other modules

This patch makes minor markup changes to the serials sidebar menu
include so that links are displayed in a style consistent with similar
menus in other areas of the staff client.

This patch contains whitespace changes, so please use the "-w" flag when
viewing the diff.

To test, apply the patch and go to the Serials module. The links in the
sidebar menu should be displayed in the same style as the corresponding
menu on the Acquisitions home page.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-06-17 20:41:47 UTC
I wonder how this one managed to escape for so long!
Comment 6 Martin Renvoize 2019-06-19 12:16:49 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-07-15 13:27:29 UTC
Pushed to 19.05.x for 19.05.02
Comment 8 Lucas Gass 2019-07-18 23:02:31 UTC
backported to 18.11.x for 18.11.08